Get the casting of an entity

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/projects/{project_id}/entities/{entity_id}/casting

Get the casting of a shot, an asset or an episode. The casting of an entity is the list of assets in the entity, with the number of occurrences of each asset.

Path parameters

  • project_id string(uuid) Required

    Unique identifier of the project

  • entity_id string(uuid) Required

    Unique identifier of the entity

Responses

  • 200 application/json

    The casting of the entity

    Hide response attributes Show response attributes object
    • entity_id string(uuid)

      Entity unique identifier

    • casting array[object]
      Hide casting attributes Show casting attributes object
      • id string(uuid)

        Casting entry unique identifier

      • asset_id string(uuid)

        Asset identifier

      • asset_name string

        Asset name

  • 403

    You do not have access to this project, or you are a vendor, or the entity is not in the project

  • 404

    The entity does not exist

GET /data/projects/{project_id}/entities/{entity_id}/casting
curl -X GET "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/entities/a24a6ea4-ce75-4665-a070-57453082c25/casting" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/entities/a24a6ea4-ce75-4665-a070-57453082c25/casting"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
{
  "entity_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "casting": [
    {
      "id": "b35b7fb5-df86-5776-b181-68564193d360",
      "asset_id": "c46c80c6-e097-6887-c292-79675204e470",
      "asset_name": "Main Character"
    }
  ]
}